import type { DatePickerTruncationUnit, DatePickerUnit } from "../../types";
import type { DateIntervalValue, DateOffsetIntervalValue } from "../types";
export declare function getDirectionText(value: DateOffsetIntervalValue): string;
export declare function setUnit(value: DateOffsetIntervalValue, unit: DatePickerTruncationUnit): DateOffsetIntervalValue;
export declare function getOffsetInterval(value: DateOffsetIntervalValue): number;
export declare function setOffsetInterval(value: DateOffsetIntervalValue, offsetValue: number): DateOffsetIntervalValue;
export declare function setOffsetUnit(value: DateOffsetIntervalValue, offsetUnit: DatePickerTruncationUnit): DateOffsetIntervalValue;
export declare function removeOffset(value: DateOffsetIntervalValue): DateIntervalValue;
export declare function getOffsetUnitOptions(value: DateOffsetIntervalValue, availableUnits: ReadonlyArray<DatePickerUnit>): {
    value: "year" | "minute" | "hour" | "day" | "quarter" | "week" | "month";
    label: string;
}[];
